Bug 168523 - Review Request: perl-Text-Diff
Review Request: perl-Text-Diff
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
David Lawrence
http://search.cpan.org/dist/Text-Diff/
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-09-16 17:10 EDT by Steven Pritchard
Modified: 2010-12-08 08:56 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-06 19:21:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2005-09-16 17:10:15 EDT
Spec Name or Url: http://ftp.kspei.com/pub/steve/rpms/perl-Text-Diff/perl-Text-Diff.spec
SRPM Name or Url: http://ftp.kspei.com/pub/steve/rpms/perl-Text-Diff-0.35-2.src.rpm
Description:
Text::Diff - Perform diffs on files and record sets.
Comment 1 Aurelien Bompard 2005-09-27 08:32:21 EDT
Review for release 2:
* RPM name is OK
* Source Text-Diff-0.35.tar.gz is the same as upstream
* Builds fine in mock
* rpmlint of perl-Text-Diff looks OK
* File list of perl-Text-Diff looks OK
* Works fine

Possible improvements:
The fedora spec template for perl modules uses this in %build:
  CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
  make %{?_smp_mflags} OPTIMIZE="$RPM_OPT_FLAGS"
These optimizations could be added.
Comment 2 Ralf Corsepius 2005-09-27 09:11:53 EDT
(In reply to comment #1)

> The fedora spec template for perl modules uses this in %build:
>   CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
>   make %{?_smp_mflags} OPTIMIZE="$RPM_OPT_FLAGS"
> These optimizations could be added.
No, the perl template is broken. These flags are redundant.

%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}
is sufficient and correct in most cases
Comment 3 Jose Pedro Oliveira 2006-01-06 15:49:13 EST
Steven,

Could you import and build this one?
It has already been approved several months ago.

jpo
Comment 4 Steven Pritchard 2006-01-06 16:18:34 EST
Sorry, I didn't catch that this one was approved.

I'm importing it now...
Comment 5 Steven Pritchard 2010-12-07 14:50:09 EST
Package Change Request
======================
Package Name: perl-Text-Diff
New Branches: el6
Owners: steve
InitialCC: perl-sig
Comment 6 Steven Pritchard 2010-12-08 08:56:33 EST
Nevermind. It's in the optional repo.

Note You need to log in before you can comment on or make changes to this bug.